### Method

# Gegl Matrix3transform_point

#### Declaration [src]

    void
    gegl_matrix3_transform_point (
      const GeglMatrix3* matrix,
      gdouble* x,
      gdouble* y
    )

#### Description [src]

Transforms the coordinates provided in `x` and `y` and changes to the coordinates gotten when the transformed with the matrix.

#### Parameters

`x`

  Type: `gdouble*`

  Pointer to an x coordinate.

  The data is owned by the caller of the method.

`y`

  Type: `gdouble*`

  Pointer to an y coordinate.

  The data is owned by the caller of the method.